(function($) {
    
$(document).ready(function() {

    $('.editinplace.subject').click(function() {
    
        Zmap.admin.placeeditor.show('.place_editor.subject',$(this),function() {
            
            var dom  = Zmap.admin.placeeditor.dom, tr = Zmap.admin.placeeditor.tr;
            
            var id = $(tr).find('td.name span:eq(0)').attr('data-id');
            $(dom).find('input[name=id]').val(id);
            
            var name = $(tr).find('td.name span:eq(0)').html();
            $(dom).find('input[name=name]').val(name);
            
            var color  = $(tr).find('td.colors span:eq(0)').html();
            $(dom).find('input[name=color]').val(color).css({background: color});

            var color2 = $(tr).find('td.colors span:eq(1)').html();
            $(dom).find('input[name=color2]').val(color2).css({background: color2});
            
            var comment = $(tr).find('td.comment div:eq(0)').html();
            tinyMCE.get('editorcomment_subject').setContent(comment);
            
            var image = $(tr).find('td.image img').attr('src');
            $(dom).find('input[name=image]').val(image);
            
            var link = $(tr).find('td.link a').attr('href'); if (link=='#') { link=''; }
            $(dom).find('input[name=link]').val(link);
            
            if (link=='' || link=='#') {
                $(dom).find('input[name=click_type]').filter('*[value=0]').attr('checked','checked');
                $(dom).find('.click_type1,.click_type2').hide();
            } else if (link.substr(0,25)=='javascript:Zmap.show_more') {
                $(dom).find('input[name=click_type]').filter('*[value=2]').attr('checked','checked');
                $(dom).find('.click_type1').hide();
            } else {
                $(dom).find('input[name=click_type]').filter('*[value=1]').attr('checked','checked');
                $(dom).find('.click_type2').hide();
            }
            
            var comment2 = $(tr).find('td.link div:eq(0)').html();
            tinyMCE.get('editorcomment2_subject').setContent(comment2);
            
            var target = $(tr).find('td.link a').attr('target');
            $(dom).find('select[name=target]').val(target);
            
        });
        
        return false;
    });
    
    $('.place_editor.subject .button-primary').click(function() {
        
        Zmap.admin.placeeditor.save('.place_editor.subject',function() {
            
            var tr = Zmap.admin.placeeditor.tr, values = Zmap.admin.placeeditor.values;
            
            $(tr).find('td.name span:eq(0)').html(values.name);
            
            if ($(Zmap.admin.placeeditor.dom).find('input[name=color_all]').attr('checked')=='checked') {
                
                $('td.colors:visible').each(function() {
                    $(this).find('span:eq(0)').html(values.color.toUpperCase()).css({background: values.color});
                });
                
            } else {
                $(tr).find('td.colors span:eq(0)').html(values.color.toUpperCase()).css({background: values.color});
            }
            
            if ($(Zmap.admin.placeeditor.dom).find('input[name=color2_all]').attr('checked')=='checked') {
                
                $('td.colors:visible').each(function() {
                    $(this).find('span:eq(1)').html(values.color2.toUpperCase()).css({background: values.color2});
                });
                       
            } else {
                $(tr).find('td.colors span:eq(1)').html(values.color2.toUpperCase()).css({background: values.color2});
            }
            
            $(tr).find('td.comment div:eq(0)').html(values.comment);
            
            $(tr).find('td.image img').attr('src',values.image);
            if (values.image!='' && values.image!=null && values.image!=undefined) {
                $(tr).find('td.image img').show();
            } else {
                $(tr).find('td.image img').hide();
            }
            
            
            if (values.link.substr(0,25)=='javascript:Zmap.show_more') {
                $(tr).find('td.link a').attr('href',values.link).attr('target','').text('').hide();
                $(tr).find('td.link div').html(values.comment2).show();
            } else {
                $(tr).find('td.link a').attr('href',values.link).attr('target',values.target).text(values.link).show();
                $(tr).find('td.link div').html('').hide();
            }
            
            
        });
        
        Zmap.admin.changes = true;
        
        return false; 

    });
    
    Zmap.admin.filter.bind('#subjects-form');

});

$(document).ready(function() {

    $('input[name=click_type]').change(function() {

        var subject_id = $(Zmap.admin.placeeditor.dom).find('input[name=id]').val();
    
        switch (parseInt($(this).val())) {
            case 0:
                $(this).parent().find('input[name=link]').val('');
                $(this).parent().find('.click_type1,.click_type2').hide();
                break;
            case 1:
                $(this).parent().find('input[name=link]').val('');
                $(this).parent().find('.click_type1').show();
                $(this).parent().find('.click_type2').hide();
                break;
            case 2:
                $(this).parent().find('input[name=link]').val('javascript:Zmap.show_more('+subject_id+');');
                $(this).parent().find('input[name=target]').val('');
                $(this).parent().find('.click_type2').show();
                $(this).parent().find('.click_type1').hide();
                break;
        }
    });    
    
});

})(jQuery);