
/*
  color, color2, iconType only with some icon extensions, available colors might differ between extensions
  iconSize only with maki icon extension

  maki icon type:
  "airfield","airport","alcohol-shop","america-football","art-gallery","bakery","bank","bar",
  "baseball","basketball","beer","bicycle","building","bus","cafe","camera","campsite","car",
  "cemetery","chemist","cinema","circle-stroked","circle","city","clothing-store","college",
  "commercial","cricket","cross","dam","danger","disability","dog-park","embassy",
  "emergency-telephone","entrance","farm","fast-food","ferry","fire-station","fuel","garden",
  "golf","grocery","hairdresser","harbor","heart","heliport","hospital","industrial",
  "land-use","laundry","library","lighthouse","lodging","logging","london-underground",
  "marker-stroked","marker","minefield","mobilephone","monument","museum","music","oil-well",
  "park2","park","parking-garage","parking","pharmacy","pitch","place-of-worship",
  "playground","police","polling-place","post","prison","rail-above","rail-light",
  "rail-metro","rail-underground","rail","religious-christian","religious-jewish",
  "religious-muslim","restaurant","roadblock","rocket","school","scooter","shop","skiing",
  "slaughterhouse","soccer","square-stroked","square","star-stroked","star","suitcase",
  "swimming","telephone","tennis","theatre","toilets","town-hall","town","triangle-stroked",
  "triangle","village","warehouse","waste-basket","water","wetland","zoo"

  awesome icon type:
  http://fortawesome.github.io/Font-Awesome/cheatsheet/

  available colors for awesome icon extension:
  'red', 'darkred', 'orange', 'green', 'darkgreen', 'blue', 'purple', 'darkpuple', 'cadetblue'
*/
var fla_points = {
  "point1": {
    "name": "Perth",
    "color":"red",
    "color2":"green",
    "comment":"<b>Name Surname</b><br>Business Development Manager<br>Tel: 000 123 456 7890<br>Fax: 000 123 456 7890<br>",
    "image":"flamap/images/photo.jpg",
    "link":"",
    "iOSbehavior":"1",
    "target":"_self",
    "latitude": -31.953004,
    "longitude": 115.857469,
    'iconSize': 'm',
    'iconType': 'bank'
  },
  "point2": {
    "name": "Orlando",
    "color":"red",
    "color2":"green",
    "comment":"<b>Name Surname</b><br>Business Development Manager<br>Tel: 000 123 456 7890<br>Fax: 000 123 456 7890<br>",
    "image":"flamap/images/photo.jpg",
    "link":"",
    "iOSbehavior":"1",
    "target":"",
    "latitude": 28.538335,
    "longitude": -81.379236,
    'iconSize': 'm',
    'iconType': 'cab'
  }
}